> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List price books

> Retrieve existing price books.



## OpenAPI

````yaml get /v1/price-books
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/price-books:
    get:
      tags:
        - Price books
      summary: List price books
      description: Retrieve existing price books.
      operationId: listPriceBooks
      parameters:
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            maximum: 100
            default: 50
          required: false
          name: take
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            default: 0
          required: false
          name: skip
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPriceBook'
      security:
        - bearer: []
components:
  schemas:
    PaginatedPriceBook:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: number
              description: Total of existing items.
              example: 1
            taken:
              type: number
              description: Number of items returned.
              example: 1
            skipped:
              type: number
              description: Number of items skipped.
              example: 0
          required:
            - total
            - taken
            - skipped
        data:
          type: array
          items:
            $ref: '#/components/schemas/PriceBook'
          description: List of PriceBook.
      required:
        - meta
        - data
    PriceBook:
      type: object
      properties:
        id:
          type: string
          description: Price book ID.
          example: prib_DKL4Xcb5VSa8CQ
        name:
          type: string
          description: Price book name.
          example: Enterprise pricing
        description:
          type:
            - string
            - 'null'
          description: Price book description.
          example: null
        user_role_ids:
          type: array
          items:
            type: string
          description: List of user role IDs that have access to this price book.
        created_at:
          type: string
          format: date-time
          description: >-
            Price book creation date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-12-20T16:04:11Z'
        updated_at:
          type: string
          format: date-time
          description: >-
            Price book last update date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-12-20T16:04:11Z'
      required:
        - id
        - name
        - description
        - user_role_ids
        - created_at
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````